#include <iostream>
#include <bits/stdc++.h>
#include <cstdlib>
using namespace std;

int main(int argc, char** argv) {
	
	long long n,z1=1,z2=1,dup1=0,dup2=0,fal1=0,fal2=0,k1=0,k2=0,r=0;
	cin>>n;
	long long niz1[n];
	long long niz2[n];
	long long dupl1[n];
	long long dupl2[n];
	long long fali1[n];
	long long fali2[n];
	for(long long i=0;i<n;i++){
		cin>>niz1[i]>>niz2[i];
	}
	long long n1 = sizeof(niz1)/sizeof(niz1[0]); 
	long long n2 = sizeof(niz2)/sizeof(niz2[0]);  
    sort(niz2, niz2+n2);
	sort(niz1, niz1+n1);
	for(long long i=0;i<n;i++){
		if(niz1[i]>z1){
			for(long long j=z1;j<niz1[i];j++){
				fali1[fal1]=j;
				fal1++;
			}
			z1=niz1[i];
		}
		if(niz2[i]>z2){
			for(long long j=z2;j<niz2[i];j++){
				fali2[fal2]=j;
				fal2++;
			}
			z2=niz2[i];
		}
		if(niz1[i]<z1){
			dupl1[dup1]=niz1[i];
			z1--;
			dup1++;
		}
		if(niz2[i]<z2){
			dupl2[dup2]=niz2[i];
			z2--;
			dup2++;
		}
		z1++;
		z2++;
	}

	if(z1<=n){
		for(long long i=z1;i<=n;i++){
			fali1[fal1]=i;
			fal1++;
		}
	}
	if(z2<=n){
		for(long long i=z2;i<=n;i++){
			fali2[fal2]=i;
			fal2++;
		}
	}
	if(dup1>0){
		for(long long i=0;i<dup1;i++){
			k1+=abs(dupl1[i]-fali1[i]);
		}
	}
	if(dup2>0){
		for(long long i=0;i<dup2;i++){
			k2+=abs(dupl2[i]-fali2[i]);
		}
	}
	r=k1+k2;
	cout<<r;
	return 0;
}